#ifndef SYSFRPM_H
#define SYSFRPM_H
#include <sys/types.h>
#include <dirent.h>
#include <stdlib.h>
#include "config.h"

#define RPM_FIELD_SIZE 80

#define RPM_EQ         0
#define RPM_DIFF_VER   1
#define RPM_DIFF_NAME  2

typedef struct {
  char name[RPM_FIELD_SIZE];
  char version[RPM_FIELD_SIZE];
  char arch[RPM_FIELD_SIZE];
} rpm_info;
 
#endif
